int[] w={5,10,15,20,25,30,35,40,45,50,55,60,65,70};
int[] h={5,10,15,20,25,30,35,40,45,50,55,60,65,70};

Pattern radPatt;
Pattern radPatt2;
Pattern radPatt3;

void setup(){
  size(800,200);
  smooth();
  radPatt = new Pattern(color(117),50,50,4);
  radPatt2 = new Pattern(color(190),50,150,4);
  radPatt3 = new Pattern(color(117),-370,50,4);
  
}

void draw(){
  background(0);
  stroke(255,155);
  strokeWeight(0.5);
  
  //background triangles;
  for(int y=-5; y<=height; y+=20) {
  for (int x=-25; x<=width; x+=50) {
   fill(203,203,100,30);
   triangle(x,y,x-35,y+40,x+35,y+40);
  }
  }
  
  radPatt.display();
  radPatt.move();
  
  radPatt2.display();
  radPatt2.move();
  radPatt2.bounce();
  
  radPatt3.display();
  radPatt3.move();
}
class Pattern {
  color c;
  float xpos;
  float ypos;
  float xspeed;
  
  Pattern(color tempColor, float tempXpos, float tempYpos, float tempXspeed){
    c = tempColor;
    xpos = tempXpos;
    ypos = tempYpos;
    xspeed = tempXspeed;
  }
  
  void display(){
    ellipseMode(CENTER);
    fill(c);
    stroke(236,237,230);
    ellipse(xpos,ypos,70,70);
    
    //radial pattern;
    for (int i=0; i<w.length; i++){
      noFill();
      stroke(0,249,255);
      ellipse(xpos,ypos,w[i],h[i]);
    } 
  }
  
  void move(){
    xpos = xpos + xspeed;
    if (xpos > width){
      xpos = 0;
    }
  }
  
   void bounce(){
    if(xpos>=width-30){
      xspeed=xspeed*-1;
    }
    if(xpos<0){  //radPatt2 from right to left;
      xpos=width-30;
  }
}
}

