int[] w={5,10,15,20,25,30,35,40,45,50,55,60,65,70};
int[] h={5,10,15,20,25,30,35,40,45,50,55,60,65,70};

Pattern radPatt;
Pattern radPatt2;
Pattern radPatt3;
float newRadPat;
float newRadPat2;
int reverse = Arduino.LOW;
int direct = Arduino.HIGH;
import processing.serial.*;

import cc.arduino.*;
Arduino arduino;
void setup(){
  size(800,200);
  smooth();
  radPatt = new Pattern(color(117),50,50,4);
  radPatt2 = new Pattern(color(190),50,150,4);
  radPatt3 = new Pattern(color(117),-370,50,4);
    println(Arduino.list());
  
  // Modify this line, by changing the "0" to the index of the serial
  // port corresponding to your Arduino board (as it appears in the list
  // printed by the line above).
  arduino = new Arduino(this, Arduino.list()[5], 57600);
  
  arduino.pinMode(11, Arduino.OUTPUT);
  arduino.pinMode(10, Arduino.OUTPUT);
  arduino.pinMode(9, Arduino.OUTPUT);
  
}

void draw(){
  background(0);
  stroke(255,155);
  strokeWeight(0.5);
  
  //background triangles;
  for(int y=-5; y<=height; y+=20) {
  for (int x=-25; x<=width; x+=50) {
   fill(203,203,100,30);
   triangle(x,y,x-35,y+40,x+35,y+40);
  }
  }

  radPatt.display();
  radPatt.move();
  
  radPatt2.display();
  radPatt2.move();
  //radPatt2.bounce();
  
  radPatt3.display();
  radPatt3.move();
  
  // remapping the valuse of raPatt's x position from 0-800 to 0-255
  newRadPat = map(radPatt.xpos, 0,800,0,255);
  newRadPat2 = map(radPatt2.xpos, 0,800,0,255);
    
 // an if statement to control the direction of the motor
 if(mouseX<200){
   //passing the value of the remapped xpos
   anotherDirection(newRadPat2);
  }else{
  oneDirection(newRadPat);
  }
 
println(newRadPat);
println(newRadPat2);
}

//funtctions writing to pins telling which way to direct motor. 
//pin 11 goes to pin 1 on the chip, which activates the Hbridge
//pin 9 and 10 are either set to HIGH or LOW to control the  direction of the motor

void oneDirection(float radPatx1){
      arduino.digitalWrite(10, Arduino.HIGH);
      arduino.digitalWrite(9, Arduino.LOW);
      arduino.analogWrite(11, int(radPatx1));      
}

void anotherDirection(float radPatx2){
      arduino.digitalWrite(10, Arduino.LOW);
      arduino.digitalWrite(9, Arduino.HIGH);
      arduino.analogWrite(11, int(radPatx2));      
}
