class Pattern {
  color c;
  float xpos;
  float ypos;
  float xspeed;
  
  Pattern(color tempColor, float tempXpos, float tempYpos, float tempXspeed){
    c = tempColor;
    xpos = tempXpos;
    ypos = tempYpos;
    xspeed = tempXspeed;
  }
  
  void display(){
    ellipseMode(CENTER);
    fill(c);
    stroke(236,237,230);
    ellipse(xpos,ypos,70,70);
    
    //radial pattern;
    for (int i=0; i<w.length; i++){
      noFill();
      stroke(0,249,255);
      ellipse(xpos,ypos,w[i],h[i]);
    } 
  }
  
  void move(){
    xpos = xpos + xspeed;
    if (xpos > width){
      xpos = 0;
    }
  }
  
   void bounce(){
    if(xpos>=width-30){
      xspeed=xspeed*-1;
    }
    if(xpos<0){  //radPatt2 from right to left;
      xpos=width-30;
  }
}
}
